package cz.moneta.test.dsl.ufo.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

public interface MWFJM1Response {

    @Parameter(name = "ADDR_CITY")
    String addrCity();

    @Parameter(name = "ADDR_HOUSE_NUM")
    String addrHouseNum();

    @Parameter(name = "ADDR_STATE")
    String addrState();

    @Parameter(name = "ADDR_STREET")
    String addrStreet();

    @Parameter(name = "ADDR_ZIP")
    String addrZip();

    @Parameter(name = "BEARER_SHARE_FLAG")
    Long bearerShareFlag();

    @Parameter(name = "END_DATE")
    java.util.Date endDate();

    @Parameter(name = "LEGAL_FORM")
    String legalForm();

    @Parameter(name = "MAR_ASSETS_ID")
    String marAssetsId();

    @Parameter(name = "NACEkod")
    String nACEkod();

    @Parameter(name = "PROMISED_MADE_DT")
    java.util.Date promisedMadeDt();

    @Parameter(name = "PROMISED_TURNOVER")
    String promisedTurnover();

    @Parameter(name = "PRSN_FULL_NAME")
    String prsnFullName();

    @Parameter(name = "RISK_NACE_FLAG")
    Long riskNaceFlag();

    @Parameter(name = "START_DATE")
    java.util.Date startDate();

    @Parameter(name = "STATE_REGISTRATION")
    String stateRegistration();

    @Parameter(name = "SektorEkonomiky")
    String sektorEkonomiky();

}